#!/bin/bash --login
# The --login ensures the bash configuration is loaded, enabling Conda.

# Temporarily disable strict mode and activate conda:
# set : Used to set or unset shell attributes (when options are specified, as shown here).
# -e : Exit on non-zero return status.
# -u : Treat unset variables and parameters other than special parameters "@" and "*" as an error when performaing parameter expansion.
# -o : specify an option name. In our case here, we use the "pipefail" option.
# pipefail : If set, the return value of a pipeline is the value of the last (rightmost) command to exit with a non-zeros status, or zero if all commands in the pipeline exit successfully.
# Using + rather than - causes these options to be turned off.
set +euo pipefail

source /opt/conda/etc/profile.d/conda.sh

conda activate motifSearch

export PATH=/motif-search/meme/bin/:$PATH

# Enable strict mode:
set -euo pipefail

# exec the final command:
exec "$@"
